Package twisted :: Package im :: Module basesupport :: Class AbstractAccount

[show private | hide private]
[frames | no frames]

## Class AbstractAccount

Known Subclasses:
  `IRCAccount`, `PBAccount`, `TOCAccount`

Method Summary
| `__init__(self, accountName, autoLogin, username, password, host, port)`
| `__getstate__(self)`
| `__setstate__(self, d)`
| `isOnline(self)`
Deferred `interfaces.IClient` | ``logOn`(self, chatui)` Log on to this account.

Instance Variable Summary
| `accountName` -
| `autoLogin` -
| `host` -
| `password` -
| `port` -
| `username` -

Method Details

### logOn(self, chatui)

Log on to this account.

Takes care to not start a connection if a connection is already in progress. You will need to implement `_startLogOn` for this to work, and it would be a good idea to override `_loginFailed` too.

  Returns:
    Deferred `interfaces.IClient`

Instance Variable Details

### accountName

### autoLogin

### host

### password

### port

### username

Generated by Epydoc 1.1 on Sat Feb 15 21:17:50 2003 | http://epydoc.sf.net